install in live:
  stage: deploy
  image: ubuntu:latest
  environment: 
    name: live
    url: http://aija.ga
  variables:
    # Setting some global variable used later in some script.
    # Values can be overwritten in individual jobs.
    SSH_HOST: aija@aija.ga
  only:
    - master
  before_script:
  # setup ssh private key for access to server where to install
    - 'which ssh-agent || ( apt-get update -y && apt-get install openssh-client -y )'
    - mkdir -p ~/.ssh
    - eval $(ssh-agent -s)
    - '[[ -f /.dockerenv ]] && echo -e "Host *\n\tStrictHostKeyChecking no\n\n" > ~/.ssh/config'
    - ssh-add <(echo "$SSH_PRIVATE_KEY")
#    - apt-get install rsync -y
#    - apt-get install git-core -y
  script: 
    # connect to target servers and execute deploy script locally from that server
    - "ssh -p22 $SSH_HOST 'bash -s' < deploy.sh"
